pkgname=portproton
_xdg_name=ru.linux_gaming.PortProton
pkgver=1.7.1
pkgrel=1
pkgdesc="Software for playing Microsoft Windows games and launchers"
arch=('x86_64')
url="https://linux-gaming.ru"
license=('MIT')
depends=('bash' 'yad' 'bubblewrap' 'zstd' 'cabextract' 'gzip'
         'tar' 'openssl' 'desktop-file-utils' 'curl'
         'gdk-pixbuf2' 'nss' 'xorg-xrandr' 'mesa-utils' 'dbus' 'freetype2' 'xdg-utils'
         'lib32-gcc-libs' 'vulkan-tools' 'lib32-libx11' 'lib32-libxss'
         'lib32-alsa-plugins' 'lib32-pipewire' 'lib32-gnutls' 'lib32-libgpg-error' 'lib32-freetype2' 'lib32-nss'
         'lib32-openssl' 'icoextract' 'python-pillow' 'perl-image-exiftool' 'jq')
optdepends=(
  'vulkan-icd-loader: Vulkan support'
  'lib32-vulkan-icd-loader: Vulkan support in 32bit games'
  'gamescope: Gamescope support'
  'gamemode: Gamemode'
  'lib32-gamemode: Gamemode support in 32bit games'
)
source=("${pkgname}.tar.gz::https://github.com/Castro-Fidel/PortProton_ALT/archive/v${pkgver}.tar.gz")
sha256sums=('af6787640cc2bca5a6a3cf34372ea8d7cee9521d1e732c5047236554b816b9af')

package() {
  cd "PortProton_ALT-$pkgver"
  install -Dm755 "portproton" "$pkgdir/usr/bin/$pkgname"
  install -Dm644 "$_xdg_name.desktop" "$pkgdir/usr/share/applications/$_xdg_name.desktop"
  install -Dm644 "$_xdg_name.svg" "$pkgdir/usr/share/icons/hicolor/scalable/apps/$_xdg_name.svg"
  install -Dm644 "$_xdg_name.metainfo.xml" "$pkgdir/usr/share/metainfo/$_xdg_name.metainfo.xml"
  install -Dm644 "LICENSE" "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
}
